2019-08-24 00:23 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004957Spring engineGeneralpublic2015-12-15 11:13
Reportersilentwings 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version100.0+git 
Target VersionFixed in Version100.0+git 
Summary0004957: shadows for features are "randomly" not drawn from some camera angles
DescriptionSee three attached images, each taken from the "same" spot, with the same camera (overhead cam) and the only difference being slight change in the camera angle (from single ctrl+mousewheel clicks).

Look at the cacti on the red ground in the center of the screen. In the lowest angle shot, the shadows are not drawn. In the mid-angle shot, the shadows are drawn. In the high angle shot, the shadows are not drawn.

In the same images, look at the cacti on the ground. Their shadows are always drawn.

Afaics this must be a bug.
Steps To ReproduceUse Mescaline_V2 (I guess it works on other maps too). See infolog for my shadows config setting, if it matters.
Additional InformationFrom playing around a bit (on Mescaline), I think only features that are on elevated ground display this wierd behaviour - and for such features their shadows will only ever show at very particular viewing angles. Zoom can also affect it, and (for as long as the cacti remain fully drawn) also doesn't affect the shadows of the cacti on the ground.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (38,954 bytes) 2015-09-16 23:53 -
    [ParseCmdLine] command-line args: "C:\Spring-100\spring.exe "C:\Users\Nic\AppData\Roaming\springlobby\script.txt""
    Using configuration source: "C:\Users\Nic\Documents\My Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    3DTrees = 0
    AdvSky = 1
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    AllowSpectatorJoin = 0
    CamMode = 1
    DisableDemoVersionCheck = 1
    ExtraTextureUpdateRate = 15
    Fullscreen = 0
    GrassDetail = 0
    GroundDetail = 194
    GuiOpacity = 0.7
    InputTextGeo = 0.26 0.73 0.02 0.028
    LastSelectedMap = SiberianDivide 1.0
    LastSelectedMod = Balanced Annihilation Reloaded $VERSION
    LastSelectedScript = Player Only: Testing Sandbox
    LastSelectedSetting = AllowSpectatorJoin
    LogFlushLevel = 0
    MaxNanoParticles = 2500
    MaxParticles = 15413
    ReflectiveWater = 4
    ScreenshotCounter = 566
    ShadowMapSize = 8192
    Shadows = 1
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 0
    SmoothPoints = 0
    SpringData = C:/Users/Nic/Documents/My Games/Spring;
    TCPAllowConnect = replays.springrts.com:8222
    TCPAllowListen = replays.springrts.com:8222
    UnitIconDist = 301
    UnitLodDist = 9999
    VSync = -1
    WindowPosX = 209
    WindowPosY = 80
    WindowState = 0
    XResolutionWindowed = 1362
    YResolutionWindowed = 866
    snd_volbattle = 2
    snd_volmaster = 22
    snd_volmusic = 22
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 100.0
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Home Premium Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7-3740QM CPU @ 2.70GHz; 8154MB RAM, 16306MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1366x768, 1600x900, 1600x1024, 1680x1050, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.2.0
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GT 650M/PCIe/SSE2
    GLSL version: 4.20 NVIDIA via Cg compiler
    GLEW version: 1.5.8
    Video RAM:    total 2048MB, available 1706MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 60 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1362x866:24bit @60Hz (windowed)
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    Using read-write data directory: C:\Users\Nic\Documents\My Games\Spring\
    Using read-only data directory: C:\Spring-100\
    Scanning: C:\Spring-100\maps
    Scanning: C:\Spring-100\base
    Scanning: C:\Spring-100\games
    Scanning: C:\Users\Nic\Documents\My Games\Spring\maps
    Scanning: C:\Users\Nic\Documents\My Games\Spring\games
    Warning: [Watchdog] Hang detection triggered for Spring 100.0.
    Warning:   (in thread: main)
    Warning: DLL information:
    Error: 0x00400000	spring
    Error: 0x778b0000	ntdll
    Error: 0x75870000	kernel32
    Error: 0x77460000	KERNELBASE
    Error: 0x77260000	ADVAPI32
    Error: 0x771b0000	msvcrt
    Error: 0x75e30000	sechost
    Error: 0x75980000	RPCRT4
    Error: 0x75230000	SspiCli
    Error: 0x75220000	CRYPTBASE
    Error: 0x730e0000	GLU32
    Error: 0x6aef0000	OPENGL32
    Error: 0x75690000	GDI32
    Error: 0x75770000	USER32
    Error: 0x75760000	LPK
    Error: 0x77110000	USP10
    Error: 0x6a5c0000	DDRAW
    Error: 0x73e40000	DCIMAN32
    Error: 0x76f60000	SETUPAPI
    Error: 0x77430000	CFGMGR32
    Error: 0x76ea0000	OLEAUT32
    Error: 0x76d40000	ole32
    Error: 0x75550000	DEVOBJ
    Error: 0x71d70000	dwmapi
    Error: 0x75e00000	IMAGEHLP
    Error: 0x75e50000	SHELL32
    Error: 0x75d60000	SHLWAPI
    Error: 0x739e0000	WINMM
    Error: 0x75290000	WS2_32
    Error: 0x76f50000	NSI
    Error: 0x10000000	DevIL
    Error: 0x71b00000	MSVCP80
    Error: 0x72ab0000	MSVCR80
    Error: 0x6b600000	OpenAL32
    Error: 0x6cec0000	libgcc_s_sjlj-1
    Error: 0x70780000	vorbisfile
    Error: 0x68140000	ogg
    Error: 0x64cc0000	vorbis
    Error: 0x62e80000	zlib1
    Error: 0x70e40000	libfreetype-6
    Error: 0x64f80000	libfontconfig-1
    Error: 0x68f40000	libexpat-1
    Error: 0x62aa0000	glew32
    Error: 0x6c740000	SDL2
    Error: 0x754f0000	IMM32
    Error: 0x76c70000	MSCTF
    Error: 0x74110000	VERSION
    Error: 0x70070000	nvapi
    Error: 0x75df0000	profapi
    Error: 0x725a0000	uxtheme
    Error: 0x5eb10000	nvoglv32
    Error: 0x75720000	WINTRUST
    Error: 0x77300000	CRYPT32
    Error: 0x75750000	MSASN1
    Error: 0x72a70000	ntmarta
    Error: 0x75d10000	WLDAP32
    Error: 0x75600000	CLBCatQ
    Error: 0x71db0000	dbghelp
    Warning: Stacktrace (main) for Spring 100.0:
    Warning: (0) C:\Windows\SysWOW64\ntdll.dll(NtQueryAttributesFile+0x12) [0x778CFEAE]
    Warning: (1) C:\Spring-100\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x4f124) [0x007FA8E4]
    Warning: (2) C:\Spring-100\spring.exe [0x00775A0E]
    Warning: (3) C:\Spring-100\spring.exe [0x00761948]
    Warning: (4) C:\Spring-100\spring.exe [0x00768EDE]
    Warning: (5) C:\Spring-100\spring.exe [0x0076973F]
    Warning: (6) C:\Spring-100\spring.exe [0x00777B20]
    Warning: (7) C:\Spring-100\spring.exe [0x00740078]
    Warning: (8) C:\Spring-100\spring.exe [0x00719486]
    Warning: (9) C:\Spring-100\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x508c04) [0x00CB43C4]
    Warning: (10) C:\Spring-100\spring.exe [0x00401402]
    Warning: (11) C:\Windows\syswow64\kernel32.dll(BaseThreadInitThunk+0x12) [0x7588336A]
    Warning: (12) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x63) [0x778E9882]
    Warning: (13) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x36) [0x778E9855]
    Scanning: C:\Users\Nic\Documents\My Games\Spring\packages
    Error: Found a "C:\Users\Nic\Documents\My Games\Spring\games\tropical.sdz" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\beta release sdzs\tropical.sdz", ignoring.
    Error: Found a "C:\Users\Nic\Documents\My Games\Spring\games\magic_forest.sdz" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\beta release sdzs\magic_forest.sdz", ignoring.
    Error: Found a "C:\Users\Nic\Documents\My Games\Spring\games\glacier.sdz" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\beta release sdzs\glacier.sdz", ignoring.
    Error: Found a "C:\Users\Nic\Documents\My Games\Spring\maps\dryriverv10hw.sd7" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\dryriverv10hw.sd7", ignoring.
    Error: Found a "C:\Users\Nic\Documents\My Games\Spring\maps\downriver_v1_HW.sd7" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\downriver_v1_HW.sd7", ignoring.
    Error: Found a "C:\Users\Nic\Documents\My Games\Spring\maps\DeltaSiegeDry_Reloaded_vBETA2.sd7" already in "C:\Users\Nic\Documents\My Games\Spring\games\maps\DeltaSiegeDry_remake\DeltaSiegeDry_Reloaded_vBETA2.sd7", ignoring.
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (Realtek High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] [StartScript] Loading StartScript from: C:\Users\Nic\AppData\Roaming\springlobby\script.txt
    [f=0000000] Hosting on: :8452
    [f=0000000] Connecting to local server
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Mescaline_V2
    [f=0000000] Binding UDP socket to IP (v6) :: port 8452
    [f=0000000] [UDPListener] successfully bound socket on port 8452
    [f=0000000] PreGame::StartServer: 8 ms
    [f=0000000] [InitOpenGL] video mode set to 1362x866:24bit @60Hz (windowed)
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Mescaline_V2
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Balanced Annihilation Reloaded $VERSION (archive: bar.sdd)
    [f=0000000] Recording demo to: C:\Users\Nic\Documents\My Games\Spring\demos\20150916_224514_Mescaline_V2_100.sdf
    [f=0000000] PreGame::GameDataReceived: 959 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] Warning: MapInfo.lua: Incorrect value "groundShadowDensity=1.200000"! Clamping to 0..1 range!!
    [f=0000000] Warning: MapInfo.lua: Incorrect value "unitShadowDensity=1.200000"! Clamping to 0..1 range!!
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (97 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.198000
    [f=0000000] Game::LoadDefs (GameData): 246 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 31 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 1 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 91 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 13
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Error: [LoadFeaturesFromMap] unknown map feature type "pedro7"
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 4 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 87 ms
    [f=0000000] Game::LoadInterface (Console): 12 ms
    [f=0000000] InfoTexture: shaders
    [f=0000000] Loading LuaRules
    [f=0000000] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=0000000] Loaded synced gadget:  Slap                <api_slap.lua>
    [f=0000000] Loaded synced gadget:  Stats               <api_damage_stats.lua>
    [f=0000000] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded synced gadget:  Awards              <game_awards.lua>
    [f=0000000] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded synced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=0000000] Loaded synced gadget:  Closed Solars       <unit_solars_closed.lua>
    [f=0000000] Loaded synced gadget:  Commander Blast     <unit_commander_blast.lua>
    [f=0000000] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=0000000] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=0000000] Loaded synced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=0000000] Loaded synced gadget:  Depthcharge splash  <fx_depthcharge_splash.lua>
    [f=0000000] Loaded synced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=0000000] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded synced gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=0000000] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded synced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=0000000] Loaded synced gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded synced gadget:  Limit Dgun Use (Charge)  <unit_dgun_charge.lua>
    [f=0000000] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded synced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=0000000] Loaded synced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=0000000] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=0000000] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded synced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded synced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=0000000] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=0000000] Loaded synced gadget:  Paralyze Damage Multiplier  <unit_paralyze_damage_multiplier.lua>
    [f=0000000] Loaded synced gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=0000000] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=0000000] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded synced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded synced gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=0000000] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded synced gadget:  Stun Control        <unit_stun_control.lua>
    [f=0000000] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded synced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=0000000] Loaded synced gadget:  Was Player          <api_was_player.lua>
    [f=0000000] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded synced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded synced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=0000000] Loaded synced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=0000000] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded synced gadget:  subMissile splash   <fx_submissile_splash.lua>
    [f=0000000] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded synced gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=0000000] Loaded synced gadget:  Area Attack         <unit_areaattack.lua>
    [f=0000000] Loaded synced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=0000000] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded synced gadget:  Team Com Ends       <game_team_com_ends.lua>
    [f=0000000] Loaded synced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=0000000] Loaded synced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=0000000] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded synced gadget:  Mobile Unit Paralyze Damage Handler  <unit_paralyze_damage_limit.lua>
    [f=0000000] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded synced gadget:  Profiler            <dbg_profiler.lua>
    [f=0000000] Loaded synced gadget:  Transfers API       <api_transfers.lua>
    [f=0000000] Loaded synced gadget:  Version Warning     <version_warning.lua>
    [f=0000000] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=0000000] Switching to Overview style camera
    [f=0000000] Switching to Spring style camera
    [f=0000000] Switching to Free style camera
    [f=0000000] Switching to Rotatable overhead camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Switching to FPS style camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Loaded unsynced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded unsynced gadget:  Slap                <api_slap.lua>
    [f=0000000] Loaded unsynced gadget:  Stats               <api_damage_stats.lua>
    [f=0000000] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=0000000] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded unsynced gadget:  Awards              <game_awards.lua>
    [f=0000000] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded unsynced gadget:  Arm Atlas Loader    <gfx_arm_atlas_loader.lua>
    [f=0000000] Loaded unsynced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=0000000] Loaded unsynced gadget:  Closed Solars       <unit_solars_closed.lua>
    [f=0000000] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded unsynced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=0000000] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded unsynced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=0000000] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded unsynced gadget:  Limit Dgun Use (Charge)  <unit_dgun_charge.lua>
    [f=0000000] Loaded unsynced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=0000000] Loaded unsynced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=0000000] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded unsynced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded unsynced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=0000000] Loaded unsynced gadget:  Opacity control     <api_opacity.lua>
    [f=0000000] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded unsynced gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=0000000] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded unsynced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=0000000] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded unsynced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded unsynced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=0000000] Loaded unsynced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=0000000] Loaded unsynced gadget:  mo_ffa              <mo_ffa.lua>
    [f=0000000] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded unsynced gadget:  Area Attack         <unit_areaattack.lua>
    [f=0000000] Loaded unsynced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=0000000] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded unsynced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=0000000] Loaded unsynced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=0000000] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loaded unsynced gadget:  Profiler            <dbg_profiler.lua>
    [f=0000000] Loaded unsynced gadget:  Transfers API       <api_transfers.lua>
    [f=0000000] Loaded unsynced gadget:  Version Warning     <version_warning.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] extraSaturation, true, false
    [f=0000000] showRadarAsSpec, true, true
    [f=0000000] [bawidgets.lua] Error: Failed to load: player_lol.lua  (no GetInfo() call)
    [f=0000000] Loading API widget from mod:   Metalspot Finder    <api_metalspot_finder.lua> ...
    [f=0000000] Loading API widget from mod:   Lock Camera         <api_lock_camera.lua> ...
    [f=0000000] Loading API widget from mod:   Ignore List API     <api_ignore.lua> ...
    [f=0000000] Loading API widget from mod:   Chili Framework     <api_chili.lua> ...
    [f=0000000] Loading API widget from mod:   Lups                <gfx_lups_wrapper.lua> ...
    [f=0000000] Loading API widget from mod:   Mission Framework   <api_missions.lua> ...
    [f=0000000] Loading widget from mod:   Spy move/reclaim defaults  <unit_default_spy_move_cloaked.lua> ...
    [f=0000000] Loading widget from mod:   Deferred rendering  <gfx_deferred_rendering.lua> ...
    [f=0000000] Loading widget from mod:   External Grid       <map_external_grid.lua> ...
    [f=0000000] Loading widget from mod:   Main Menu           <bgu_mainmenu.lua> ...
    [f=0000000] Skin, Robocracy
    [f=0000000] To see skin changes; '/luaui reload'
    [f=0000000] Cursor, Chili Default
    [f=0000000] Water, 4
    [f=0000000] Shadows, 1
    [f=0000000] Set "shadows" config-parameter to 1
    [f=0000000] UnitLodDist, 9999
    [f=0000000] UnitIconDist, 301
    [f=0000000] MaxParticles, 15413
    [f=0000000] Set maximum particles to: 5000
    [f=0000000] Set maximum particles to: 5000
    [f=0000000] MaxNanoParticles, 2500
    [f=0000000] Set maximum nano-particles to: 2500
    [f=0000000] Set maximum nano-particles to: 2500
    [f=0000000] AdvMapShading, true
    [f=0000000] AdvModelShading, true
    [f=0000000] luarules cus_toggle, nil
    [f=0000000] AllowDeferredMapRendering, true
    [f=0000000] AllowDeferredModelRendering, true
    [f=0000000] 3DTrees, false
    [f=0000000] GroundDecals, true
    [f=0000000] DynamicSky, false
    [f=0000000] DynamicSun, false
    [f=0000000] MapMarks, false
    [f=0000000] MapBorder, true
    [f=0000000] VSync, nil
    [f=0000000] Loading widget from mod:   Mex Upgrade Helper  <api_mex_upgrade_helper.lua> ...
    [f=0000000] Loading widget from mod:   Minimap             <bgu_minimap.lua> ...
    [f=0000000] Loading widget from mod:   Health Bars         <gui_healthbars.lua> ...
    [f=0000000] Loading widget from user:  LockCamera Special  <camera_lockcamera_SPECIAL.lua> ...
    [f=0000000] Loading widget from mod:   Build ETA           <gui_build_eta.lua> ...
    [f=0000000] Loading widget from mod:   Ally Resource Stats  <gui_ally_res.lua> ...
    [f=0000000] Loading widget from mod:   AllyCursors         <gui_ally_cursors.lua> ...
    [f=0000000] Loading widget from mod:   Auto First Build Facing  <unit_auto_first_buildfacing.lua> ...
    [f=0000000] Loading widget from mod:   Auto group          <unit_auto_group.lua> ...
    [f=0000000] Loading widget from mod:   Autoquit            <cmd_autoquit.lua> ...
    [f=0000000] Loading widget from mod:   Awards              <bgu_awards.lua> ...
    [f=0000000] Loading widget from mod:   Blast Radius        <gui_blast_radius.lua> ...
    [f=0000000] Loading widget from mod:   Camera Flip         <camera_flip.lua> ...
    [f=0000000] Loading widget from mod:   Camera Remember     <camera_remember_mode.lua> ...
    [f=0000000] Loading widget from mod:   Com Counter         <gui_com_counter.lua> ...
    [f=0000000] Loading widget from mod:   Com Dont Break Cloak  <unit_com_dont_break_cloak.lua> ...
    [f=0000000] Loading widget from mod:   Comblast & Dgun Range  <gui_comblast_dgun_range.lua> ...
    [f=0000000] Loading widget from mod:   Cursor tooltip      <bgu_cursor_tip.lua> ...
    [f=0000000] Loading widget from mod:   Defense Range       <gui_defense_range.lua> ...
    [f=0000000] Loading widget from mod:   Dont Move           <unit_dont_move.lua> ...
    [f=0000000] Loading widget from mod:   Easy Facing         <cmd_easy_facing.lua> ...
    [f=0000000] Loading widget from mod:   Game End Graphs     <bgu_endgraph.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Radar         <gui_ghost_radar.lua> ...
    [f=0000000] Loading widget from mod:   Game Type Info      <gui_game_type_info.lua> ...
    [f=0000000] Loading widget from mod:   Group Label         <gui_group_label.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Site          <gui_ghost_site.lua> ...
    [f=0000000] Loading widget from mod:   Holdfire Instantly  <cmd_holdfire_immediately.lua> ...
    [f=0000000] Loading widget from mod:   Hotkeys             <bgu_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   Immobile Builders   <unit_immobile_builder.lua> ...
    [f=0000000] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=0000000] Loading widget from mod:   Loop Select         <gui_loop_select.lua> ...
    [f=0000000] Loading widget from mod:   LOS colors          <gui_los_colors.lua> ...
    [f=0000000] Loading widget from mod:   LuaUI Reset         <api_reset_luaui.lua> ...
    [f=0000000] Loading widget from user:  Map Draw Spotter    <gui_whodraws.lua> ...
    [f=0000000] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=0000000] Loading widget from mod:   Minimap Events      <map_minimap_events.lua> ...
    [f=0000000] Loading widget from mod:   Music Player        <bgu_music_player.lua> ...
    [f=0000000] Loading widget from mod:   No Duplicate Orders  <cmd_no_duplicate_orders.lua> ...
    [f=0000000] Loading widget from mod:   Pause Screen        <bgu_pause_screen.lua> ...
    [f=0000000] Loading widget from mod:   Persistent Build Spacing  <cmd_persistent_build_spacing.lua> ...
    [f=0000000] Loading widget from mod:   Player List         <bgu_playerlist.lua> ...
    [f=0000000] Loading widget from mod:   Point Tracker       <gui_point_tracker.lua> ...
    [f=0000000] Loading widget from mod:   Reclaim Info        <gui_reclaim_info.lua> ...
    [f=0000000] Loading widget from mod:   Resource Bars       <bgu_resbars.lua> ...
    [f=0000000] Loading widget from mod:   Selection Menu      <bgu_smenu.lua> ...
    [f=0000000] Loading widget from mod:   Selection info      <bgu_sinfo.lua> ...
    [f=0000000] Loading widget from user:  Slow SVG Draw       <cmd_svgdraw.lua> ...
    [f=0000000] argh
    [f=0000000] ariel
    [f=0000000] cock
    [f=0000000] disabled
    [f=0000000] elephant
    [f=0000000] elmer
    [f=0000000] explosion
    [f=0000000] kitty
    [f=0000000] last-supper
    [f=0000000] rip
    [f=0000000] tank
    [f=0000000] Loading widget from mod:   Smooth Cam          <camera_smoothcam.lua> ...
    [f=0000000] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=0000000] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=0000000] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=0000000] Loading widget from mod:   Stockpiler          <unit_stockpile_dynamic.lua> ...
    [f=0000000] Loading widget from mod:   Stop means Stop     <cmd_stop_selfd.lua> ...
    [f=0000000] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=0000000] Loading widget from user:  TestBed1            <testbed1.lua> ...
    [f=0000000] Loading widget from mod:   Transfer Announce   <gui_transfered.lua> ...
    [f=0000000] Loading widget from mod:   Unit Finished Sounds  <snd_unit_finished.lua> ...
    [f=0000000] Loading widget from mod:   Unit Statistics     <unit_stats_damage.lua> ...
    [f=0000000] Loading widget from mod:   Ready Button        <bgu_readybutton.lua> ...
    [f=0000000] Loading widget from mod:   Start Boxes         <bgu_startbox.lua> ...
    [f=0000000] Loading widget from mod:   Replay Speed Controls  <gui_replay_speed_control.lua> ...
    [f=0000000] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=0000000] Loading widget from mod:   Attack and Move Notification  <unit_attack_move_notification.lua> ...
    [f=0000000] Loading widget from mod:   Beta Release Menu   <bgu_beta_release.lua> ...
    [f=0000000] Loading widget from mod:   Prospector          <bgu_prospector.lua> ...
    [f=0000000] Loading widget from user:  Recorder (Save)     <dbg_recorder_save.lua> ...
    [f=0000000] Loading widget from mod:   Commands FX         <gui_commands_fx.lua> ...
    [f=0000000] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=0000000] Loading widget from mod:   CommandInsert       <cmd_command_insert.lua> ...
    [f=0000000] Loading widget from mod:   Given Units         <gui_given_units.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Units     <gui_highlight_units.lua> ...
    [f=0000000] Loading widget from mod:   Resurrection Halos  <gui_resurrection_halos.lua> ...
    [f=0000000] Loading widget from mod:   Waypoint Dragger    <unit_waypoint_dragger.lua> ...
    [f=0000000] Loading widget from mod:   Center n Select     <gui_center_n_select.lua> ...
    [f=0000000] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=0000000] Loading widget from mod:   Min Menu            <bgu_min_menu.lua> ...
    [f=0000000] frames-per-second indicator is disabled!
    [f=0000000] small digital clock is disabled!
    [f=0000000] Loading widget from mod:   Chat Console        <bgu_console.lua> ...
    [f=0000000] Loading widget from mod:   Chili Docking       <api_chili_docking.lua> ...
    [f=0000000] Loading widget from mod:   Mouse Buildspacing  <cmd_mouse_build_spacing.lua> ...
    [f=0000000] Loading widget from mod:   Image Preloader     <api_buildpic_preload.lua> ...
    [f=0000000] Loading widget from mod:   Unittexture Preloader  <api_unit_texture_preloader.lua> ...
    [f=0000000] Loading widget from mod:   Factory Bar         <bgu_facbar.lua> ...
    [f=0000000] Loading widget from mod:   Initial Queue       <bgu_initial_queue.lua> ...
    [f=0000000] Loading widget from mod:   Faction Change      <bgu_faction_change.lua> ...
    [f=0000000] Loading widget from mod:   CustomFormations2   <cmd_custom_formations.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=1057521478
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=1057521502
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (187ms, checksum 250d30e8)
    [f=0000000] Statistics for RectangleOptimizer: 0%
    [f=0000000] Set water rendering mode to 4 (bumpmapped)
    [f=0000000] Set view resolution: 1362 x 866
    [f=0000000] Preloaded, unittextures/Core_normal.dds
    [f=0000000] Preloaded, unittextures/Arm_normals.dds
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] GameID: e9e2f955d7af7ccdf26a06dda4e560fe
    [f=0000000] Connection attempt from Player
    [f=0000000]  -> Version: 100.0
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player Player finished loading and is now ingame
    [f=0000597] Player Player came back
    [f=0000712] Warning: Chat command /GlobalLOS (synced) cannot be executed (cheats required)!
    [f=0000806] Cheating is enabled!
    [f=0000867] [GlobalLosActionExecutor] global LOS toggled for all allyteams
    [f=0002041] Saved: screenshots/screen00566.png
    [f=0002159] Saved: screenshots/screen00567.png
    [f=0002362] Saved: screenshots/screen00568.png
    [f=0005694] Player Player went AFK
    [f=0006724] Player Player came back
    [f=0011121] Player Player went AFK
    [f=0012256] Player Player came back
    [f=0016668] Player Player went AFK
    [f=0016702] [SpringApp::ShutDown][1]
    [f=0016702] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0016702] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0016702] [SpringApp::ShutDown][2]
    [f=0016702] [KillLua][1]
    [f=0016702] [KillLua][2]
    [f=0016702] [KillLua][3]
    [f=0016702] [KillLua][4]
    [f=0016702] [~CGame]1]
    [f=0016702] [KillLua][1]
    [f=0016702] [KillLua][2]
    [f=0016702] [KillLua][3]
    [f=0016702] [KillLua][4]
    [f=0016702] [KillMisc][1]
    [f=0016702] [KillMisc][2]
    [f=0016702] [KillRendering][1]
    [f=0016702] Statistics for RectangleOptimizer: 0%
    [f=0016702] [KillInterface][1]
    [f=0016702] [KillInterface][2]
    [f=0016702] [KillSimulation][1]
    [f=0016702] [KillSimulation][2]
    [f=0016702] [CCollisionHandler] dis-/continuous tests: 0/3257118
    [f=0016702] [KillSimulation][3]
    [f=0016702] [KillSimulation][4]
    [f=0016702] [~CPathCache(40x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016702] [~CPathCache(40x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016702] [~CPathCache(160x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016702] [~CPathCache(160x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016702] Statistics for RectangleOptimizer: 0%
    [f=0016702] Statistics for RectangleOptimizer: 0%
    [f=0016702] [KillSimulation][5]
    [f=0016702] [~CGame][2]
    [f=0016702] [~CGame][3]
    [f=0016702] [SpringApp::ShutDown][3]
    [f=0016702] Statistics for local connection:
    Received: 38769 bytes
    Sent: 186207 bytes
    
    [f=0016702] Writing demo: C:\Users\Nic\Documents\My Games\Spring\demos\20150916_224514_Mescaline_V2_100.sdf
    [f=0016702] [SpringApp::ShutDown][4]
    [f=0016702] [SpringApp::ShutDown][5]
    [f=0016702] [SpringApp::ShutDown][6]
    [f=0016702] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW replays.springrts.com 8222
    [LuaSocket] TCP_LISTEN  ALLOW replays.springrts.com 8222
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog::Uninstall][1] hangDetectorThread=02D74FF8
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog.txt (38,954 bytes) 2015-09-16 23:53 +
  • png file icon screen00568.png (1,964,706 bytes) 2015-09-16 23:54
  • png file icon screen00566.png (2,092,499 bytes) 2015-09-16 23:55
  • jpg file icon screen00567.jpg (547,081 bytes) 2015-09-16 23:56

-Relationships
+Relationships

-Notes

~0015183

silentwings (reporter)

Last edited: 2015-09-17 00:09

View 2 revisions

had to convert screen00567 to jpg because filesize :/

edit: "elevated above the ground" should have read "on elevated ground"

~0015187

abma (administrator)

> had to convert screen00567 to jpg because filesize :/

https://github.com/spring/spring/commit/fcde85701643c3445c4a690c90d36d1b876bce3b
:-P

~0015191

abma (administrator)

[f=0000867] [GlobalLosActionExecutor] global LOS toggled for all allyteams

does it happen with globallos disabled, too?

~0015192

silentwings (reporter)

Yes, it's independent of globallos.

~0015382

Kloot (developer)

should be fixed as of 737662023620a0739da45527f588682fedfffca4
+Notes

-Issue History
Date Modified Username Field Change
2015-09-16 23:53 silentwings New Issue
2015-09-16 23:53 silentwings File Added: infolog.txt
2015-09-16 23:54 silentwings File Added: screen00568.png
2015-09-16 23:55 silentwings File Added: screen00566.png
2015-09-16 23:56 silentwings File Added: screen00567.jpg
2015-09-16 23:56 silentwings Note Added: 0015183
2015-09-17 00:09 silentwings Note Edited: 0015183 View Revisions
2015-09-17 11:35 abma Additional Information Updated View Revisions
2015-09-17 11:36 abma Note Added: 0015187
2015-09-17 17:34 abma Note Added: 0015191
2015-09-17 18:24 silentwings Note Added: 0015192
2015-12-15 11:13 Kloot Note Added: 0015382
2015-12-15 11:13 Kloot Status new => resolved
2015-12-15 11:13 Kloot Fixed in Version => 100.0+git
2015-12-15 11:13 Kloot Resolution open => fixed
2015-12-15 11:13 Kloot Assigned To => Kloot
+Issue History